# pgRouting Manual (2.1.0)

## pgr_startPoint

## Name

`pgr_startPoint` — Returns a start point of a (multi)linestring geometry.

Note

This function is intended for the developer’s aid.

Warning

This function is deprecated in 2.1 Use _pgr_startPoint instead

## Synopsis

Returns the geometry of the start point of the first LINESTRING of `geom`.

    geometry pgr_startPoint(geometry geom);

## Description

Parameters

geom: | `geometry` Geometry of a MULTILINESTRING or LINESTRING.

Returns the geometry of the start point of the first LINESTRING of `geom`.

History

- New in version 2.0.0

## See Also

- Developer’s Guide for the tree layout of the project.
- pgr_endPoint to get the end point of a (multi)linestring.